package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 套餐包分类对象 fs_package_cate
 *
 * @author fs
 * @date 2024-05-08
 */
public class FsPackageCate extends BaseEntity implements Serializable
{

    /** ID */
    private Long cateId;

    /** 分类标识 */
    @Excel(name = "分类标识")
    private Long cateCode;

    /** 分类 1前端展示 2 私域 */
    @Excel(name = "分类 1前端展示 2 私域")
    private Integer type;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序号 */
    @Excel(name = "排序号")
    private Integer sort;

    public void setCateId(Long cateId)
    {
        this.cateId = cateId;
    }

    public Long getCateId()
    {
        return cateId;
    }
    public void setCateCode(Long cateCode)
    {
        this.cateCode = cateCode;
    }

    public Long getCateCode()
    {
        return cateCode;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setCateName(String cateName)
    {
        this.cateName = cateName;
    }

    public String getCateName()
    {
        return cateName;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setImgUrl(String imgUrl)
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl()
    {
        return imgUrl;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("cateId", getCateId())
            .append("cateCode", getCateCode())
            .append("type", getType())
            .append("cateName", getCateName())
            .append("status", getStatus())
            .append("imgUrl", getImgUrl())
            .append("sort", getSort())
            .toString();
    }
}
